#include <owl.h>               // Program to display a dialog box
#include <dialog.h>            // With Colored Text in it and
#include <static.h>            // a Button that when pressed displays
#include <bwcc.h>              // More Red Text
#include "ctlfnt.h"            // This program must be compiled with BCW
#include "usefnt.h"            // BC++ will not work because BC++ uses RC
			       // that does not support the extended RC style
// Check out the local option on USEFNT.RC and the addition to
// Options | Transfer for ~Borland Resouce Compiler
class TMyDialog : public TDialog          // Dialog class to add
  {                                       // processing for menu and
  private:                                // button selections
    PTFntText pFntText;
  public:
    TMyDialog(PTWindowsObject AParent,LPSTR lpName)// constructor calls
      :TDialog(AParent,lpName)
      {
      BWCCGetVersion();                   // Forces DLLs to load
      CTLFNTGetVersion();
      };
    virtual void HandleButtonMessage(RTMessage Msg) // button handler
      = [ID_FIRST + IDB_CREATE];          // close button handled by
  };                                      // base class button handler
void TMyDialog:: HandleButtonMessage(RTMessage)
  {
  DWORD dwColor = RGB(255,0,255);
  LOGFONT lfFont;
      lfFont.lfHeight = 36;                    // Fill structure with
      lfFont.lfWidth  = 14;                    // Information for large
      lfFont.lfEscapement = 0;                 // Times Font
      lfFont.lfOrientation = 0;
      lfFont.lfWeight = 700;
      lfFont.lfItalic = 0;
      lfFont.lfUnderline = 0;
      lfFont.lfStrikeOut = 0;
      lfFont.lfCharSet = ANSI_CHARSET;
      lfFont.lfQuality = DEFAULT_QUALITY;
      lfFont.lfPitchAndFamily = VARIABLE_PITCH | FF_DONTCARE;
      lstrcpy(lfFont.lfFaceName, "Times New Roman");

  pFntText = new TFntText(this,201,(LPSTR)"Test",80,50,220,40,2,
			  &dwColor,&lfFont);
  GetApplication()->MakeWindow(pFntText);
  }
class TMyApp : public TApplication        // Application Class to contain
  {                                       // the application
  public:
    TMyApp(LPSTR lpName, HINSTANCE hInstance,  // constructor calls the
		HINSTANCE hPrevInstance,       // base class constructor
		LPSTR lpCmdLine, int nCmdShow)
		:TApplication(lpName, hInstance,
			      hPrevInstance,
			      lpCmdLine, nCmdShow) {};

    virtual void InitMainWindow(); // overrides base class InitMainWindow
  };

void TMyApp::InitMainWindow()      // to initialize a dialog box
  {                                // as the main window
  MainWindow = new TMyDialog(NULL,"Main_Window_Dialog");
  }                                // using message processing provided
				   // by derived class

int PASCAL WinMain(HINSTANCE hInstance,         // main entry point from
		   HINSTANCE hPrevInstance,     // windows to this program
		   LPSTR lpCmdLine,
		   int nCmdShow)
  {
  TMyApp Program("Dialog Tester",hInstance,  // create instance of
		       hPrevInstance,        // the dialog application
		       lpCmdLine,nCmdShow);
  Program.Run();                                  // run it
  return (Program.Status);                        // exit
  }
/**********************************************************************/
